# DOMDocument::loadXML

(PHP 5, PHP 7)

DOMDocument::loadXML — Load XML from a string

### Description

public DOMDocument::loadXML ( string `$source` [, int `$options` = 0 ] ) : mixed

Loads an XML document from a string.

### Parameters

`source`

  The string containing the XML.

`options`

  Bitwise OR of the libxml option constants.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. If called statically, returns a DOMDocument or `FALSE` on failure.

### Errors/Exceptions

If an empty string is passed as the `source`, a warning will be generated. This warning is not generated by libxml and cannot be handled using libxml's error handling functions.

This method may be called statically, but will issue an `E_STRICT` error.

### Examples

Example #1 Creating a Document

`<?php
$doc = new DOMDocument();
$doc->loadXML('<root><node/></root>');
echo $doc->saveXML();
?>`

Example #2 Static invocation of loadXML

`<?php
// Issues an E_STRICT error
$doc = DOMDocument::loadXML('<root><node/></root>');
echo $doc->saveXML();
?>`

### See Also

- DOMDocument::load() - Load XML from a file
- DOMDocument::save() - Dumps the internal XML tree back into a file
- DOMDocument::saveXML() - Dumps the internal XML tree back into a string